﻿//_____________________________________________________
//           401K F U T U R E   V A L U E   C A L C U L A T O R  I
//                   Adapted from Murach ASP.Net 2008
//                                    C# Version
//                                    Ron Kessler
//                                 Created 2/22/09
//_____________________________________________________

//This app computes value of 401K based on input from user. This version
//does not contain data validation controls.




using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {


        //---fill the list box
        ddlMonthlyInvestment.AutoPostBack = false;

        if (!IsPostBack)
        {
            for (int x = 50; x <= 1000; x += 50)
                ddlMonthlyInvestment.Items.Add(x.ToString());
            
        }


    }
    protected void btnCalculate_Click(object sender, EventArgs e)
    {
        int monthlyInvestment=Convert.ToInt32(ddlMonthlyInvestment.SelectedValue);
        decimal interestRate = Convert.ToDecimal(txtInterestRate.Text);
        int years = Convert.ToInt32(txtYears.Text);
        int months = years * 12;

        decimal monthlyInterestRate = interestRate / 12 / 100;
        decimal futureValue = DoCalculation(monthlyInvestment, monthlyInterestRate, months);

        lblFutureValue.Text = futureValue.ToString("c");
    }



    private decimal DoCalculation(int monthlyInvestment, decimal monthlyInterestRate, int months)
    {

        decimal futureValue = 0;
        for (int x = 0; x < months; x++)
        {
            futureValue = (futureValue + monthlyInvestment) * (1 + monthlyInterestRate);
        }

        return futureValue;
   
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {

        //---reset everything
        ddlMonthlyInvestment.SelectedIndex = 0;
        txtInterestRate.Text = "";
        txtYears.Text = "";
        lblFutureValue.Text = "";
    }
}
